com.threerings.parlor.tourney.client

## Interface TourneyService

All Superinterfaces:
  com.threerings.presents.client.InvocationService

All Known Implementing Classes:
  TourneyMarshaller

    public interface TourneyService
    extends com.threerings.presents.client.InvocationService

Provides tourney management services for the particular tourney this service is attached to.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cancel(com.threerings.presents.client.InvocationService.ConfirmListener listener)` Handles a request to cancel the tourney.
`void` `join(com.threerings.presents.client.InvocationService.ConfirmListener listener)` Handles a request to join the tourney.
`void` `leave(com.threerings.presents.client.InvocationService.ConfirmListener listener)` Handles a request to leave the tourney.

### Method Detail

#### join

    void join(com.threerings.presents.client.InvocationService.ConfirmListener listener)

Handles a request to join the tourney.

#### leave

    void leave(com.threerings.presents.client.InvocationService.ConfirmListener listener)

Handles a request to leave the tourney.

#### cancel

    void cancel(com.threerings.presents.client.InvocationService.ConfirmListener listener)

Handles a request to cancel the tourney.